/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.aybkamen.tfc.beans;

import com.aybkamen.tfc.BeanResolver;
import com.aybkamen.tfc.recursos.RecursoTuristico;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Collections;
import java.util.Comparator;
import java.util.List;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;

/**
 *
 * @author aybkamen
 */
@ManagedBean
@SessionScoped
public class ListaRecursosBean {

    private Collection<RecursoTuristico> listaRecursos;

    private String tipoBusqueda;

    /** Creates a new instance of ListaRecursosBean */
    public ListaRecursosBean() {


    }

    public String getTipoBusqueda() {
        return tipoBusqueda;
    }

    public void setTipoBusqueda(String tipoBusqueda) {
        this.tipoBusqueda = tipoBusqueda;
    }


    public Collection<RecursoTuristico> getListaRecursos(){
        return listaRecursos;
    }

    public void setListaRecursos(Collection<RecursoTuristico> listaRecursos){
        this.listaRecursos = listaRecursos;
    }

    public void cargarListaPorClase(String idClase){
        setTipoBusqueda("Búsqueda por Clase");
        listaRecursos = BeanResolver.getPersistanceBean().getConector().getRecursosPorClase(idClase);
        Collections.sort((List)listaRecursos);
    }

    public void cargarListaPorLugar(String idLugar){
        setTipoBusqueda("Búsqueda por Lugar");
        listaRecursos = BeanResolver.getPersistanceBean().getConector().getRecursosPorLugar(idLugar);
        Collections.sort((List)listaRecursos);
    }



    public String verLista(){
        cargarListaPorClase("space:Place");
        return "verLista";
    }
}
