/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.aybkamen.tfc.recursos;

import com.aybkamen.tfc.persistencia.ConectorDatos;
import com.hp.hpl.jena.rdf.model.Model;

/**
 *
 * @author aybkamen
 */
public class RecursoDigital extends RecursoTFC {

    public static final String TIPO_VIDEO = "Video";
    public static final String TIPO_IMAGEN = "Imagen";
    public static final String TIPO_WEB = "Web";
    public static final String TIPO_WIKI = "Wiki";

    private String nombre;
    private String url;
    
    public RecursoDigital(String iri, ConectorDatos conector) throws Exception{
        super(iri, conector);
        this.url = iri.substring(ConectorDatos.BASE_MALLORCA.length()+1);
        this.nombre = this.getValor("title");
        if(nombre.isEmpty()) this.nombre = this.url;
    }

    public String getNombre() {
        return nombre;
    }

    public void setNombre(String nombre) {
        this.nombre = nombre;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

}
