/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.aybkamen.tfc.beans;

import com.aybkamen.tfc.BeanResolver;
import com.aybkamen.tfc.persistencia.ConectorDatos;
import com.aybkamen.tfc.recursos.RecursoDigital;
import com.aybkamen.tfc.recursos.RecursoTuristico;
import com.hp.hpl.jena.rdf.model.Statement;
import java.util.Collection;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;
import javax.faces.context.FacesContext;
import javax.servlet.http.HttpServletRequest;

/**
 *
 * @author aybkamen
 */
@ManagedBean
@SessionScoped
public class PuntoInteresBean {

    private PersistenceBean stub = BeanResolver.getPersistanceBean();
    ConectorDatos datos = stub.getConector();

    private String iriPDI = "CatedralPalma";
    private RecursoTuristico recurso;


    /** Creates a new instance of PuntoInteresBean */
    public PuntoInteresBean() {
        
    }

    public String getIriPDI() {
        //HttpServletRequest  req= (HttpServletRequest)FacesContext.getCurrentInstance().getExternalContext().getRequest();
        //String idRecurso = req.getParameter("recurso");
        //if(!idRecurso.isEmpty()) iriPDI=idRecurso;
        return iriPDI;
    }

    public void setIriPDI(String iriPDI) {
        this.iriPDI = iriPDI;
    }

    public RecursoTuristico getRecurso(){
        if(recurso==null || !recurso.getIri().equals(getIriPDI())){
            recurso = datos.loadRecursoTuristico(getIriPDI());
        }
        return recurso;
    }



    /*
    public String getTestDato(){
        if(stub.getConector().getModel()!=null) return "carga modulo OK - "+stub.getConector().getModel().getProperty("dc:label").toString();

        else return "Error en la carga del módulo";
    }

    public String getIdRecurso(){
        HttpServletRequest  req= (HttpServletRequest)FacesContext.getCurrentInstance().getExternalContext().getRequest();
        String recurso = req.getParameter("recurso");
        return recurso;
    }

    public String getListaRecursos(){
        String s = "<ul>";
        //RecursoTuristico recurso = datos.loadRecursoTuristico("mallorca:CatedralPalma");
        for(RecursoDigital rd:datos.getDigitalesPDI(getIdRecurso())){
            if(rd.getTipo().equalsIgnoreCase("Imagen")){
                s += "<li><img src=\""+rd.getUrl()+"\" style=\"max-width:250px;\"/></li>";
            } else
                s += "<li>("+rd.getTipo()+") "+rd.getUrl()+"</li>";
        }
        s +="</ul>";
        return s;
    }

    public Collection<RecursoTuristico> getListaResultados(){
        return datos.getRecursosPorClase("space:Place");
    }

    public String getTestProperties(){
        RecursoTuristico recurso = datos.loadRecursoTuristico(getIdRecurso());
        String s = "<h1>"
                + recurso.getNombre()
                + "</h1> ("+recurso.getTipo()+")"
                + "<ul>";
        s += "<li>"+recurso.getLatitud()+","+recurso.getLongitud()+"</li>";
        for(Statement st:recurso.getProperties()){
            s += "<li>"
                    + st.getPredicate().getNameSpace() +" - "+ st.getPredicate().getLocalName()
                    + " -> "
                    + st.getObject().toString()
                    + "</li>";
        }
        s += "</ul>";
        return s;
    }

    public String getTestInference(){
        return "<h1>hola</h1>";

    }

     */
}
